## org.codehaus.groovy.ast.stmt
Class ExpressionStatement

A simple statement such as a method call where the return value is ignored

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Expression` | `expression`

Constructor Summary
`ExpressionStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ExpressionStatement

    public ExpressionStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)